import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { FireAuthUiService } from '../../services/fire-auth-ui.service';
import { FireAuthService } from '../../services/fire-auth.service';
import * as i0 from "@angular/core";
/**
 * Login Component uses firebaseui config and signInMethods from LibConfig, that is provided to annu-ng-lib.module,
 * from the consumer application.
 *
 * @export
 * @class LoginComponent
 * @typedef {LoginComponent}
 * @implements {OnInit}
 */
export declare class LoginComponent implements OnInit {
    private fireAuthUiService;
    private fireAuthService;
    private el;
    onSuccess: EventEmitter<any>;
    onError: EventEmitter<any>;
    onUiShown: EventEmitter<void>;
    isLoggedIn: boolean;
    successCb: Function;
    errorCb: Function;
    uiShownCb: Function;
    error: any;
    constructor(fireAuthUiService: FireAuthUiService, fireAuthService: FireAuthService, el: ElementRef);
    showfirebaseUi(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginComponent, "anu-login", never, {}, { "onSuccess": "onSuccess"; "onError": "onError"; "onUiShown": "onUiShown"; }, never, never, false, never, false>;
}
