import { User, Auth } from 'firebase/auth';
import { Observable, BehaviorSubject } from 'rxjs';
import { FireCommonService } from '@annuadvent/ngx-tools/fire-common';
import * as i0 from "@angular/core";
export declare class FireAuthService {
    private fireCommonService;
    private platformId;
    auth: Auth;
    authState: BehaviorSubject<User>;
    constructor(fireCommonService: FireCommonService, platformId: any);
    private getFirebaseAuth;
    getCurrentUser(): User;
    getCurrentUserId(): string;
    isLoggedIn(): boolean;
    authStateChanged(): Observable<User>;
    logout(): Promise<boolean>;
    isLoggedInFromLocalStorage(): User;
    setLoggedInToLocalStorage(user: User): void;
    getCurrentUserRoles(): Promise<Array<string>>;
    currentUserHasRole(role: string): Promise<boolean>;
    getAccessToken(): Promise<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FireAuthService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FireAuthService>;
}
